summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-08-06 12:44:16 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-08-06 12:44:16 +0200
commitebe4baf1aa96b4244c9c33756689329197ecfd77 (patch)
tree154a523a8a2d1aa37e292ce664a12c0e1845eed1 /scripts
parent4d65403fa35b4ffe0e609c465ae3b3fac1ed9b93 (diff)
try to detect gnu bc
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-tools.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 74c4f90c5..f1c01e61a 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -184,7 +184,11 @@ fi
# always required, but can be provided by host
host_build_bc=0
-if ! which bc >/dev/null 2>&1; then
+if which bc >/dev/null 2>&1; then
+ if ! echo quit|bc -q 2>/dev/null >/dev/null;then
+ host_build_bc=1
+ fi
+else
host_build_bc=1
fi